package com.jz.dmp.modules.controller.DataIntegration.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName: NewSynchTaskReq
 * @Description: 新增同步任务请求参数
 * @Author：Bellamy
 * @Date 2021/01/26
 * @Version 1.0
 */
@ApiModel(value = "新增同步任务请求参数", description = "新增同步任务请求参数")
public class NewSynchTaskReq implements Serializable {

    private static final long serialVersionUID = 43527848022765137L;
    /*
     * 任务类型
     * */
    @ApiModelProperty(value = "任务类型：01:离线同步，02:实时同步，03:数据开发,04：脚本开发，05：SQL开发")
    @NotNull(message = "任务类型不能为空")
    @NotEmpty(message = "任务类型不能为空")
    private String type;

    /*
     * 项目id
     * */
    @ApiModelProperty(value = "项目id")
    @NotNull(message = "项目id不能为空")
    @NotEmpty(message = "项目ID不能为空")
    private String projectId;

    /*
     * 任务名称
     * */
    @ApiModelProperty(value = "任务名称")
    @NotNull(message = "任务名称不能为空")
    @NotEmpty(message = "任务名称不能为空")
    private String treeName;

    @ApiModelProperty(value = "目标文件夹")
    @NotNull(message = "目标文件夹不能为空")
    @NotEmpty(message = "目标文件夹不能为空")
    private String parentId;

    @ApiModelProperty(value = "实时任务 同步方式")
    private String syncMode;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getSyncMode() {
        return syncMode;
    }

    public void setSyncMode(String syncMode) {
        this.syncMode = syncMode;
    }
}
