package com.jz.dmp.modules.controller.dataOperation.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.htrace.fasterxml.jackson.annotation.JsonIgnore;

/**
 * @ClassName: DataDevTaskListDto
 * @Description: 数据运维-数据开发任务列表返回参数
 * @Author：Bellamy
 * @Date 2021/01/13
 * @Version 1.0
 */
@ApiModel(value = "数据运维-数据开发任务列表返回参数", description = "数据开发任务列表返回参数")
public class DataDevTaskListDto {

    /*
     * 任务ID
     * */
    @ApiModelProperty(value = "任务ID")
    private String taskId;

    /*
     * treeId
     * */
    @ApiModelProperty(value = "treeId")
    private String treeId;

    /*
     * 任务名称
     * */
    @ApiModelProperty(value = "任务名称")
    private String taskName;

    /*
     * 最后执行状态
     * */
    @ApiModelProperty(value = "最后执行状态")
    private String status;

    /*
     * 修改时间
     * */
    @ApiModelProperty(value = "修改时间")
    private String updateTime;

    /*
     * 创建时间
     * */
    @ApiModelProperty(value = "创建时间")
    private String createTime;

    /*
     * 最后执行时间
     * */
    @ApiModelProperty(value = "最后执行时间")
    private String finaExecutionTime;

    /*
     * 创建人
     * */
    @ApiModelProperty(value = "创建人")
    private String userName;

    /*
     * 调度周期
     * */
    @ApiModelProperty(value = "调度周期")
    private String schedulinCycle;

    /*
     * 基线
     * */
    @ApiModelProperty(value = "基线")
    private String baseline;

    /*
     * 通知
     * */
    @ApiModelProperty(value = "通知")
    private String notice;
    /*
     * 任务类型
     * */
    @JsonIgnore
    @ApiModelProperty(value = "任务类型")
    private String type;

    @ApiModelProperty(value = "scheduleId")
    private String scheduleId;

    @ApiModelProperty(value = "sla状态:Y 已配置，N未配置")
    private String slaStatus;

    @ApiModelProperty(value = "azkabanJobId")
    private String azkabanJobId;


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getFinaExecutionTime() {
        return finaExecutionTime;
    }

    public void setFinaExecutionTime(String finaExecutionTime) {
        this.finaExecutionTime = finaExecutionTime;
    }

    public String getSchedulinCycle() {
        return schedulinCycle;
    }

    public void setSchedulinCycle(String schedulinCycle) {
        this.schedulinCycle = schedulinCycle;
    }

    public String getBaseline() {
        return baseline;
    }

    public void setBaseline(String baseline) {
        this.baseline = baseline;
    }

    public String getNotice() {
        return notice;
    }

    public void setNotice(String notice) {
        this.notice = notice;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getScheduleId() {
        return scheduleId;
    }

    public void setScheduleId(String scheduleId) {
        this.scheduleId = scheduleId;
    }

    public String getSlaStatus() {
        return slaStatus;
    }

    public void setSlaStatus(String slaStatus) {
        this.slaStatus = slaStatus;
    }

    public String getAzkabanJobId() {
        return azkabanJobId;
    }

    public void setAzkabanJobId(String azkabanJobId) {
        this.azkabanJobId = azkabanJobId;
    }
}
