package com.jz.dmp.modules.service.sys;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.dmp.modules.controller.sys.bean.DmpCodeDictionaryBatch;
import com.jz.dmp.modules.controller.sys.bean.DmpCodeDictionaryDto;
import com.jz.dmp.modules.controller.sys.bean.DmpCodeDictionaryRequest;
import com.jz.dmp.modules.model.DmpCodeDictionary;

/**
 * 编码字典服务接口
 * @author ybz
 *
 */
public interface DmpCodeDictionaryService {

	/**条件查询所有编码字典
	 * @param dmpCodeDictionaryRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpCodeDictionaryDto> findList(DmpCodeDictionaryRequest dmpCodeDictionaryRequest, HttpServletRequest httpRequest)throws Exception;
	

	/**新增编码字典
	 * @param dmpCodeDictionary
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpCodeDictionary> add(DmpCodeDictionary dmpCodeDictionary, HttpServletRequest httpRequest)throws Exception;
	
	/**主键查询编码字典
	 * @param dmpCodeDictionaryRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpCodeDictionaryDto> findById(DmpCodeDictionaryRequest dmpCodeDictionaryRequest, HttpServletRequest httpRequest)throws Exception;

	/**修改编码字典
	 * @param dmpCodeDictionary
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpCodeDictionary> edit(DmpCodeDictionary dmpCodeDictionary, HttpServletRequest httpRequest)throws Exception;

	/**主键删除编码字典
	 * @param dmpCodeDictionaryRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(DmpCodeDictionaryRequest dmpCodeDictionaryRequest, HttpServletRequest httpRequest)throws Exception;

	/**批量新增编码字典
	 * @param dmpCodeDictionaryVo
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpCodeDictionaryBatch> addBatch(DmpCodeDictionaryBatch dmpCodeDictionaryBatch, HttpServletRequest httpRequest)throws Exception;

}
